# This file is part of dnmapper, an AS--level mapping tool
# Licensed under GNU General Public License v3 or later
# Written by Sebastian Lohff (seba@someserver.de)

from django.conf.urls import url, include

from api import ASResource, CrawlResource, BorderRouterResource, AnnouncementResource
from bgpdata import views as bgpdata_views

asResource = ASResource()
crawlResource = CrawlResource()
borderRouterResource = BorderRouterResource()
announcementResource = AnnouncementResource()

urlpatterns = (
	url(r'^$', bgpdata_views.overview),
	url(r'^([0-9]+)/$', bgpdata_views.showMap),

	#url(r'^api/crawl/(?P<crawlID>\d+)/asses/$', 'bgpdata.api.asses'),
	#(r'^api/', include(asResource.urls)),
	url(r'^api/', include(asResource.urls)),
	url(r'^api/', include(crawlResource.urls)),
	url(r'^api/', include(borderRouterResource.urls)),
	url(r'^api/', include(announcementResource.urls)),
)

